rte_gtp_hdr(3)

NAME
rte_gtp_hdr

SYNOPSIS

#include <rte_gtp.h>

  Data Fields

uint8_t msg_type
rte_be16_t plen
rte_be32_t teid

Detailed Description

Simplified GTP protocol header. Contains 8-bit header info, 8-bit message type, 16-bit payload length after mandatory header, 32-bit TEID. No optional fields and next extension header.

Definition at line 27 of file rte_gtp.h.

Field Documentation

  uint8_t gtp_hdr_info
GTP header info

Definition at line 29 of file rte_gtp.h.

  uint8_t pn
N-PDU Number present bit

Definition at line 32 of file rte_gtp.h.

  uint8_t s
Sequence Number Present bit

Definition at line 33 of file rte_gtp.h.

  uint8_t e
Extension Present bit

Definition at line 34 of file rte_gtp.h.

  uint8_t res1
Reserved

Definition at line 35 of file rte_gtp.h.

  uint8_t pt
Protocol Type bit

Definition at line 36 of file rte_gtp.h.

  uint8_t ver
Version Number

Definition at line 37 of file rte_gtp.h.

  uint8_t msg_type
GTP message type

Definition at line 48 of file rte_gtp.h.

  rte_be16_t plen
Total payload length

Definition at line 49 of file rte_gtp.h.

  rte_be32_t teid
Tunnel endpoint ID

Definition at line 50 of file rte_gtp.h.

Author

Generated automatically by Doxygen for DPDK from the source code.